<?php
session_start();
require_once '../config.php';

// التحقق من صلاحيات المدير
if (!isset($_SESSION['admin'])) {
    header('Location: login.php');
    exit();
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    if (isset($_POST['add_user'])) {
        $username = $_POST['username'];
        $password = password_hash($_POST['password'], PASSWORD_DEFAULT);
        $subscription_end = $_POST['subscription_end'];
        
        $stmt = $pdo->prepare("INSERT INTO users (username, password, subscription_end) VALUES (?, ?, ?)");
        $stmt->execute([$username, $password, $subscription_end]);
    }
    
    if (isset($_POST['extend_subscription'])) {
        $user_id = $_POST['user_id'];
        $new_end_date = $_POST['new_end_date'];
        
        $stmt = $pdo->prepare("UPDATE users SET subscription_end = ? WHERE id = ?");
        $stmt->execute([$new_end_date, $user_id]);
    }
}

// عرض المستخدمين
$stmt = $pdo->query("SELECT * FROM users");
$users = $stmt->fetchAll();
?>

<!DOCTYPE html>
<html dir="rtl">
<head>
    <title>إدارة المستخدمين</title>
    <style>
        /* نفس الأنماط السابقة */
    </style>
</head>
<body>
    <div class="admin-panel">
        <h2>إضافة مستخدم جديد</h2>
        <form method="POST">
            <input type="text" name="username" placeholder="اسم المستخدم" required>
            <input type="password" name="password" placeholder="كلمة المرور" required>
            <input type="datetime-local" name="subscription_end" required>
            <button type="submit" name="add_user">إضافة</button>
        </form>

        <h2>المستخدمين الحاليين</h2>
        <table>
            <tr>
                <th>اسم المستخدم</th>
                <th>تاريخ انتهاء الاشتراك</th>
                <th>الإجراءات</th>
            </tr>
            <?php foreach ($users as $user): ?>
            <tr>
                <td><?php echo $user['username']; ?></td>
                <td><?php echo $user['subscription_end']; ?></td>
                <td>
                    <form method="POST" style="display: inline;">
                        <input type="hidden" name="user_id" value="<?php echo $user['id']; ?>">
                        <input type="datetime-local" name="new_end_date">
                        <button type="submit" name="extend_subscription">تمديد الاشتراك</button>
                    </form>
                </td>
            </tr>
            <?php endforeach; ?>
        </table>
    </div>
</body>
</html>